Page MenuHomePhabricator

Edits on enwiki detached from auto-renamed user account need reattaching
Closed, ResolvedPublic

Description

No real idea of where's best to file this, so putting it here as a stab in the dark. Lego, Keegan, please move as appropriate.

An enwiki user called Mirwin was renamed automatically to Mirwin~enwiki (more about that in a moment) but four edits he made a very long time ago got detached for some reason.

See: https://en.wikipedia.org/wiki/Special:Contributions/Mirwin

Regarding the renaming itself, the account belongs to a deceased editor who passed away without attaching it to the SUL for that name, which is User:Mirwin at Wikiversity. I've placed a steward request for the enwiki account to be renamed back to Mirwin and attached to the SUL.

https://meta.wikimedia.org/w/index.php?title=Steward_requests/Username_changes&oldid=12732258#Account_of_a_deceased_user_on_enwiki_needs_renaming

Thanks,

Scott.

Event Timeline

Scott created this task.Jul 16 2015, 6:10 PM
Scott assigned this task to Legoktm.
Scott raised the priority of this task from to Low.
Scott updated the task description. (Show Details)
Scott added a project: SUL-Finalization.
Scott added subscribers: Scott, Keegan.
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptJul 16 2015, 6:10 PM
mysql:wikiadmin@db1052 [enwiki]> select rev_user from revision where rev_user_text ="Mirwin";
+----------+
| rev_user |
+----------+
|      184 |
|      184 |
|        0 |
|        0 |
+----------+
4 rows in set (0.00 sec)
mysql:wikiadmin@db1052 [enwiki]> select user_name from user where user_id=184;
+-------------+
| user_name   |
+-------------+
| Dragon Dave |
+-------------+
1 row in set (0.00 sec)

Given that these are pre-phase3 edits, I'm not surprised they're totally messed up...we can probably fix these manually.

Legoktm closed this task as Resolved.Jul 22 2015, 7:59 PM
mysql:wikiadmin@db1052 [enwiki]> select rev_id, rev_user from revision where rev_user_text ="Mirwin";
+--------+----------+
| rev_id | rev_user |
+--------+----------+
|  10042 |      184 |
|  11083 |      184 |
|  56004 |        0 |
|  61271 |        0 |
+--------+----------+
4 rows in set (0.01 sec)

and now:

mysql:wikiadmin@db1052 [enwiki]> select rev_id, rev_user, rev_user_text from revision where rev_id IN (10042, 11083, 56004, 61271);
+--------+----------+---------------+
| rev_id | rev_user | rev_user_text |
+--------+----------+---------------+
|  10042 |      369 | Mirwin~enwiki |
|  11083 |      369 | Mirwin~enwiki |
|  56004 |      369 | Mirwin~enwiki |
|  61271 |      369 | Mirwin~enwiki |
+--------+----------+---------------+
4 rows in set (0.01 sec)
Scott reopened this task as Open.EditedSep 12 2015, 2:56 PM

Reopening as I've found some more - https://en.wikipedia.org/wiki/Special:Contributions/12.45.50.xxx (including the creation of some major articles!). See T5631 for the background on the user name.

Reopening as I've found some more - https://en.wikipedia.org/wiki/Special:Contributions/12.45.50.xxx (including the creation of some major articles!). See T5631 for the background on the user name.

Thanks, @Scott.

@Legoktm - No global account

Thoughts?

Keegan closed this task as Resolved.Sep 16 2015, 7:14 AM

Split out 12. to a different task T112729

Scott reopened this task as Open.Sep 16 2015, 1:11 PM

Sorry Keegan, you've misunderstood. These edits belong to Mirwin. That IP-style user name is an artifact of the Stage II import process and doesn't represent a user that needs a global account. As I mentioned above, read T5631 for an explanation of its significance.

Sorry Keegan, you've misunderstood. These edits belong to Mirwin. That IP-style user name is an artifact of the Stage II import process and doesn't represent a user that needs a global account. As I mentioned above, read T5631 for an explanation of its significance.

No sorry needed, my mistake. I was unaware of that artifact. Thank you for teaching me.

@Legoktm okay then, that's why this isn't split into a different bug as you suggested. Is this something you'll have time for in the near future?

Scott added a comment.Sep 19 2015, 4:27 PM

No sorry needed, my mistake. I was unaware of that artifact. Thank you for teaching me.

Happy to help. It's well worth having a read around related material from right back at the beginning, as there are still all sorts of legacy oddities in the data. I report them here when I happen across ones with a (relatively) easy fix.

Peachey88 closed this task as Resolved.Oct 18 2015, 3:16 AM
Peachey88 added a subscriber: Peachey88.

Reclosing / Mirwin has been done & User:12.45.50.xxx. is in a seperate task